<?php
add_action( 'after_setup_theme', 'jshopfree_setup' );
function jshopfree_setup() {
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size(166, 124, TRUE);
	if ( ! isset( $content_width ) )
	$content_width = 960;
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'custom-background' );						// background
	$defaults = array(												// background
		'default-color'          => '',
		'default-image'          => '',
		'wp-head-callback'       => '_custom_background_cb',
		'admin-head-callback'    => '',
		'admin-preview-callback' => ''
	);
	add_action( 'wp_enqueue_scripts', 'jshopfree_frontend' );
	add_theme_support('menu');
	add_editor_style( 'editor-style.css' );
	add_theme_support( 'woocommerce' );
	add_image_size( 'my-theme-logo-size', 330, 100, true );
    add_theme_support( 'site-logo', array( 'size' => 'my-theme-logo-size' ) );
    load_theme_textdomain( 'jshopfree', get_template_directory() . '/languages' );
}
function jshopfree_widgets() {
	register_sidebar( array(        // sidebar header
	'name' => 'sidebar-head',
	) );
	register_sidebar( array(        // sidebar	left
	'name' => 'sidebar-left',
	) );
	register_sidebar( array(		// sidebar footer 1
	'name' => 'sidebar-footer1',
	) );
	register_sidebar( array(		// sidebar footer 2
	'name' => 'sidebar-footer2',
	) );
	register_sidebar( array(        // sidebar	footer 3
	'name' => 'sidebar-footer3',
	) );
	register_sidebar( array(        // sidebar	footer 4
	'name' => 'sidebar-footer4',
	) );
	register_sidebar( array(        // sidebar	footer 5
	'name' => 'sidebar-footer5',
	) );
}
add_action( 'widgets_init', 'jshopfree_widgets' );
add_filter('loop_shop_per_page', create_function('$cols', 'return 12;'));
add_filter('loop_shop_columns', 'loop_columns');
if (!function_exists('loop_columns')) {
	function loop_columns() {
		return 3;
	}
}
function woocommerce_output_related_products() {
woocommerce_related_products(3,3);
}
function jshopfree_frontend() {
 	wp_enqueue_style( 'jshopfree-style', get_stylesheet_uri() );
}
function jshopfree_wp_title( $title, $sep ) {
	global $paged, $page;
	if ( is_feed() )
		return $title;
	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";
	if ( $paged >= 3 || $page >= 3 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'jshopfree' ), max( $paged, $page ) );
	return $title;
}
add_filter( 'wp_title', 'jshopfree_wp_title', 10, 3 );
if ( is_singular() ) wp_enqueue_script( "comment-reply" );
$args = array(
	'before'           => '<p>' . __('Pages:', 'jshopfree'),
	'after'            => '</p>',
	'link_before'      => '',
	'link_after'       => '',
	'next_or_number'   => 'number',
	'nextpagelink'     => __('Next page', 'jshopfree'),
	'previouspagelink' => __('Previous page', 'jshopfree'),
	'pagelink'         => '%',
	'echo'             => 1
);
add_filter( 'wp_tag_cloud', 'jshopfree_tag_cloud' );
function jshopfree_tag_cloud( $tags ){
    return preg_replace(
        "~ style='font-size: (\d+)pt;'~",
        ' class="tag-cloud-size-\10"',
        $tags
    );
}
add_filter('add_to_cart_fragments', 'jshopfree_fragment');
function jshopfree_fragment( $fragments ) 
{
    global $woocommerce;
    ob_start(); ?>
    <a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'jshopfree'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'jshopfree'), $woocommerce->cart->cart_contents_count);?> <?php echo $woocommerce->cart->get_cart_total(); ?></a>
    <?php
    $fragments['a.cart-contents'] = ob_get_clean();
    return $fragments;
}
$defaults = array(
	'theme_location'  => '',
	'menu'            => '',
	'container'       => 'div',
	'container_class' => '',
	'container_id'    => '',
	'menu_class'      => 'menu',
	'menu_id'         => '',
	'echo'            => true,
	'fallback_cb'     => 'wp_page_menu',
	'before'          => '',
	'after'           => '',
	'link_before'     => '',
	'link_after'      => '',
	'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
	'depth'           => 0,
	'walker'          => ''
);
function jshopfree_menu() {
	add_theme_page('JShop Setup', 'Theme Help', 'edit_theme_options', 'jshopfree', 'jshopfree_menu_page');
}
add_action('admin_menu', 'jshopfree_menu');
function jshopfree_menu_page() {
echo '
<br>
	<center><h1>7 Sidebar for theme JShop</h1></ceter>
<br>
<center><img src="' . get_template_directory_uri() . '/images/jshop-sidebar.jpg"></center>
<br><br><br>
<h1><center>Site <a href="http://justpx.com/jshop-free-documentation/">JShop free</a> -  documentation (Logo, favicon, ...).</center></h1><br><br>
<h1><center>Site <a href="http://justpx.com/product/jshop-pro">JShop PRO</a> - theme, demo, documentation.</center></h1><br><br>
<br><br>
<center><img src="' . get_template_directory_uri() . '/images/pro-vs-free.png"></center>
<h1><center>Localization Ready: English, French, German, Hungarian, Italian, Russian. Add <a href="http://justpx.com/your-language">Your language</a>. </center></h1><br/><br/>
';
}
function jshopfree_menu2() {
	add_theme_page('JShop Setup', 'Premium Upgrade', 'edit_theme_options', 'jshoppro', 'jshopfree_menu_page2');
}
add_action('admin_menu', 'jshopfree_menu2');
function jshopfree_menu_page2() {
echo '
<br>
<center><h1>Theme JShop PRO</h1></ceter><br>
<center><img src="' . get_template_directory_uri() . '/images/pro-vs-free.png"></center>
<br/><br/><br/>
<h1><center>Site <a href="http://justpx.com/product/jshop-pro" target="_blank">JShop PRO</a> - theme, demo, documentation.</center></h1><br><br>
<center><h1><font color="#dd3f56">10%</font> Discount - Code: <font color="#dd3f56">justpx10</font></h1></ceter>
<br/><br/><br/><br/>
<center><h1>32 Sidebar Home page 1</h1></ceter>
<br/><br/>
<center><img src="' . get_template_directory_uri() . '/images/jshop-sidebar-home-page-1.jpg"></center>
<br/><br/>
	<center><h1>27 Sidebar Home page 2</h1></ceter>
<br/>
<center><img src="' . get_template_directory_uri() . '/images/jshop-sidebar-home-page-2.jpg"></center>
<br/><br/>
	<center><h1>20 Sidebar page</h1></ceter>
<br/>
<center><img src="' . get_template_directory_uri() . '/images/jshop-pro-sidebar.jpg"></center>
<br/><br/>
	<center><h1>Theme JShop Bonus (8 sidebar)</h1></ceter>
<br/>
<center><img src="' . get_template_directory_uri() . '/images/jshop-sidebar-bonus.jpg"></center>
';
}
?>